# read String

Read the buffered serial data as a buffer.

```sig
serial.readBuffer();
```

## Returns

* a [buffer](/types/buffer) containing input from the serial port. The buffer is empty if no data is available.

## See also #seealso

[read string](/reference/serial/read-string)

```package
serial
```